class Array
  # Add padding to each element in the array
  #
  # Arguments:
  #   padding: (String) The padding to apply before and after the element
  #
  # Example:
  #   >> array = [ "Name" ]
  #   >> array.pad(" ")
  #   => [ " Name " ]
  #
  def pad(padding)
    map { |element| "#{padding}#{element}#{padding}" }
  end
end
